Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions

# FontPool Class Reference

This is the preferred interface for loading fonts for the TextNode system. More...

List of all members.

## Static Public Member Functions
static | addFont (string filename, TextFont font)
| Adds the indicated already-loaded font to the pool.
static int | garbageCollect ()
| Releases only those fonts in the pool that have a reference count of exactly 1; i.e.
static bool | hasFont (string filename)
| Returns true if the font has ever been loaded, false otherwise.
static | listContents (ostream out)
| Lists the contents of the font pool to the indicated output stream.
static TextFont | loadFont (string filename)
| Loads the given filename up into a font, if it has not already been loaded, and returns the new font.
static | releaseAllFonts ()
| Releases all fonts in the pool and restores the pool to the empty state.
static | releaseFont (string filename)
| Removes the indicated font from the pool, indicating it will never be loaded again; the font may then be freed.
static bool | verifyFont (string filename)
| Loads the given filename up into a font, if it has not already been loaded, and returns true to indicate success, or false to indicate failure.
static | write (ostream out)
| Lists the contents of the font pool to the indicated output stream.

## Detailed Description

This is the preferred interface for loading fonts for the TextNode system.

It is similar to ModelPool and TexturePool in that it unifies references to the same filename.

## Member Function Documentation

static addFont | ( | string | filename,
|  | TextFont | font
| ) |  | `[static]`

Adds the indicated already-loaded font to the pool.

The font will always replace any previously-loaded font in the pool that had the same filename.

static int garbageCollect | ( |  | ) | `[static]`

Releases only those fonts in the pool that have a reference count of exactly 1; i.e.

only those fonts that are not being used outside of the pool. Returns the number of fonts released.

static bool hasFont | ( | string | filename | ) | `[static]`

Returns true if the font has ever been loaded, false otherwise.

static listContents | ( | ostream | out | ) | `[static]`

Lists the contents of the font pool to the indicated output stream.

static TextFont loadFont | ( | string | filename | ) | `[static]`

Loads the given filename up into a font, if it has not already been loaded, and returns the new font.

If a font with the same filename was previously loaded, returns that one instead. If the font file cannot be found, returns NULL.

static releaseAllFonts | ( |  | ) | `[static]`

Releases all fonts in the pool and restores the pool to the empty state.

static releaseFont | ( | string | filename | ) | `[static]`

Removes the indicated font from the pool, indicating it will never be loaded again; the font may then be freed.

If this function is never called, a reference count will be maintained on every font every loaded, and fonts will never be freed.

static bool verifyFont | ( | string | filename | ) | `[static]`

Loads the given filename up into a font, if it has not already been loaded, and returns true to indicate success, or false to indicate failure.

If this returns true, it is guaranteed that a subsequent call to load_font() with the same font name will return a valid Font pointer.

static write | ( | ostream | out | ) | `[static]`

Lists the contents of the font pool to the indicated output stream.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties